NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Drawings.CustomViewSettingsBuilder Class Reference

this class represents the "this class represents Drawings. More...

Inheritance diagram for NXOpen.Drawings.CustomViewSettingsBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  Features { ShowAll, Simplify, Hide }
 the options for small features More...
 
enum  Font {
  Invisible, Solid, Dashed, Phantom,
  Centerline, Dotted, LongDashed, DottedDashed
}
 the options for all the fonts used in the custom view settings dialog More...
 
enum  Interfering { None, WithoutInterference, WithInterference }
 the options for interfering curves More...
 
enum  ThreadStandards {
  None, AnsiSimplified, AnsiSchematic, AnsiDetailed,
  IsoSimplified, IsoDetailed, EskdSimplified
}
 the thread standards options More...
 
enum  Width {
  Original, One = 5, Two, Three,
  Four, Five, Six, Seven,
  Eight, Nine
}
 the width options for all the line width used in the customize view settings dialog More...
 

Properties

unsafe bool DelayUpdateOnCreation [get, set]
 Returns or sets the delay update on creation More...
 
unsafe bool DelayViewUpdate [get, set]
 Returns or sets the delay view update More...
 
unsafe NXOpen.NXColor HiddenLinesColor [get, set]
 Returns or sets the hidden lines color More...
 
unsafe
NXOpen.Drawings.CustomViewSettingsBuilder.Font 
HiddenLinesFont [get, set]
 Returns or sets the hidden lines font More...
 
unsafe
NXOpen.Drawings.CustomViewSettingsBuilder.Width 
HiddenLinesWidth [get, set]
 Returns or sets the hidden line hidden font More...
 
unsafe
NXOpen.Drawings.CustomViewSettingsBuilder.Interfering 
InterferingSolids [get, set]
 Returns or sets the interfering solids More...
 
unsafe double MinimumPitch [get, set]
 Returns or sets the minimum pitch More...
 
unsafe bool RenderTrueHiddenLine [get, set]
 Returns or sets the render true hidden line More...
 
unsafe bool ShowAdjacentBlends [get, set]
 Returns or sets the show adjacent blends More...
 
unsafe bool ShowCenterLines [get, set]
 Returns or sets the show center lines More...
 
unsafe bool ShowCheckBoundaryStatus [get, set]
 Returns or sets the show check boundary status More...
 
unsafe bool ShowEdgesHiddenByEdges [get, set]
 Returns or sets the show edges hidden by edges More...
 
unsafe bool ShowHiddenLines [get, set]
 Returns or sets the show hidden lines More...
 
unsafe bool ShowSelfHiddenLines [get, set]
 Returns or sets the show self hidden lines More...
 
unsafe bool ShowSmoothEdgeEndGapsLock [get, set]
 Returns or sets the show end gaps lock More...
 
unsafe double ShowSmoothEdgeEndGapsValue [get, set]
 Returns or sets the show end gaps value More...
 
unsafe bool ShowSmoothEdges [get, set]
 Returns or sets the show smooth edges More...
 
unsafe bool ShowTraceLines [get, set]
 Returns or sets the show trace lines More...
 
unsafe bool ShowUVGrids [get, set]
 Returns or sets the show uvgrids More...
 
unsafe bool ShowVIEndGapsLock [get, set]
 Returns or sets the show end gaps lock More...
 
unsafe double ShowVIEndGapsValue [get, set]
 Returns or sets the show end gaps value More...
 
unsafe bool ShowVirtualIntersections [get, set]
 Returns or sets the show virtual intersections More...
 
unsafe
NXOpen.Drawings.CustomViewSettingsBuilder.Features 
SmallFeatures [get, set]
 Returns or sets the small features More...
 
unsafe NXOpen.NXColor SmoothEdgeColor [get, set]
 Returns or sets the smooth edge color pick More...
 
unsafe
NXOpen.Drawings.CustomViewSettingsBuilder.Font 
SmoothEdgeFont [get, set]
 Returns or sets the smooth edge line font More...
 
unsafe
NXOpen.Drawings.CustomViewSettingsBuilder.Width 
SmoothEdgeWidth [get, set]
 Returns or sets the smooth edges line hidden font More...
 
unsafe
NXOpen.Drawings.CustomViewSettingsBuilder.ThreadStandards 
ThreadStandard [get, set]
 Returns or sets the thread standard More...
 
unsafe bool TraceLineCreateGapsLock [get, set]
 Returns or sets the trace line create gaps lock More...
 
unsafe double TraceLineCreateGapsValue [get, set]
 Returns or sets the trace line create gaps value More...
 
unsafe NXOpen.NXColor TraceLineHiddenColor [get, set]
 Returns or sets the trace line hidden color More...
 
unsafe
NXOpen.Drawings.CustomViewSettingsBuilder.Font 
TraceLineHiddenFont [get, set]
 Returns or sets the trace line hidden font More...
 
unsafe
NXOpen.Drawings.CustomViewSettingsBuilder.Width 
TraceLineHiddenWidth [get, set]
 Returns or sets the trace line hidden Width More...
 
unsafe NXOpen.NXColor TraceLineVisibleColor [get, set]
 Returns or sets the trace line visible color More...
 
unsafe
NXOpen.Drawings.CustomViewSettingsBuilder.Font 
TraceLineVisibleFont [get, set]
 Returns or sets the trace line visible font More...
 
unsafe
NXOpen.Drawings.CustomViewSettingsBuilder.Width 
TraceLineVisibleWidth [get, set]
 Returns or sets the trace line visible font More...
 
unsafe NXOpen.NXColor VirtualInterSectionColor [get, set]
 Returns or sets the virtual inter section color More...
 
unsafe
NXOpen.Drawings.CustomViewSettingsBuilder.Font 
VirtualInterSectionFont [get, set]
 Returns or sets the virtual inter section font More...
 
unsafe
NXOpen.Drawings.CustomViewSettingsBuilder.Width 
VirtualInterSectionWidth [get, set]
 Returns or sets the virtual inter section width More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

this class represents the "this class represents Drawings.

CustomViewSettingsBuilder. It consists of the settings which optimize the view creation for large assemblies and these settings are subset of the view style settings

To create a new instance of this class, use NXOpen.Drawings.DraftingViewCollection.CreateCustomViewSettingsBuilder

Default values.

Property Value

DelayUpdateOnCreation

0

DelayViewUpdate

1

HiddenLinesFont

Invisible

InterferingSolids

None

RenderTrueHiddenLine

0

ShowAdjacentBlends

0

ShowCenterLines

0

ShowCheckBoundaryStatus

0

ShowEdgesHiddenByEdges

1

ShowHiddenLines

1

ShowSelfHiddenLines

1

ShowSmoothEdgeEndGapsLock

0

ShowSmoothEdges

1

ShowTraceLines

0

ShowUVGrids

0

ShowVIEndGapsLock

0

ShowVirtualIntersections

0

SmallFeatures

Hide

ThreadStandard

None

TraceLineCreateGapsLock

0

Created in NX8.5.0

Member Enumeration Documentation

the options for small features

Enumerator
ShowAll 
Simplify 
Hide 

the options for all the fonts used in the custom view settings dialog

Enumerator
Invisible 

Invisible

Solid 

Solid

Dashed 

Dashed

Phantom 

Phantom

Centerline 

CenterLine

Dotted 

Dotted

LongDashed 

Long Dashed

DottedDashed 

Dotted Dashed

the options for interfering curves

Enumerator
None 
WithoutInterference 
WithInterference 

the thread standards options

Enumerator
None 
AnsiSimplified 
AnsiSchematic 
AnsiDetailed 
IsoSimplified 
IsoDetailed 
EskdSimplified 

the width options for all the line width used in the customize view settings dialog

Enumerator
Original 

Original

One 

One

Two 

Two

Three 

Three

Four 

Four

Five 

Five

Six 

Six

Seven 

Seven

Eight 

Eight

Nine 

Nine

Property Documentation

unsafe bool NXOpen.Drawings.CustomViewSettingsBuilder.DelayUpdateOnCreation
getset

Returns or sets the delay update on creation

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.CustomViewSettingsBuilder.DelayViewUpdate
getset

Returns or sets the delay view update

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.NXColor NXOpen.Drawings.CustomViewSettingsBuilder.HiddenLinesColor
getset

Returns or sets the hidden lines color

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.Drawings.CustomViewSettingsBuilder.Font NXOpen.Drawings.CustomViewSettingsBuilder.HiddenLinesFont
getset

Returns or sets the hidden lines font

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.Drawings.CustomViewSettingsBuilder.Width NXOpen.Drawings.CustomViewSettingsBuilder.HiddenLinesWidth
getset

Returns or sets the hidden line hidden font

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.Drawings.CustomViewSettingsBuilder.Interfering NXOpen.Drawings.CustomViewSettingsBuilder.InterferingSolids
getset

Returns or sets the interfering solids

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe double NXOpen.Drawings.CustomViewSettingsBuilder.MinimumPitch
getset

Returns or sets the minimum pitch

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.CustomViewSettingsBuilder.RenderTrueHiddenLine
getset

Returns or sets the render true hidden line

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.CustomViewSettingsBuilder.ShowAdjacentBlends
getset

Returns or sets the show adjacent blends

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.CustomViewSettingsBuilder.ShowCenterLines
getset

Returns or sets the show center lines

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.CustomViewSettingsBuilder.ShowCheckBoundaryStatus
getset

Returns or sets the show check boundary status

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.CustomViewSettingsBuilder.ShowEdgesHiddenByEdges
getset

Returns or sets the show edges hidden by edges

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.CustomViewSettingsBuilder.ShowHiddenLines
getset

Returns or sets the show hidden lines

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.CustomViewSettingsBuilder.ShowSelfHiddenLines
getset

Returns or sets the show self hidden lines

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.CustomViewSettingsBuilder.ShowSmoothEdgeEndGapsLock
getset

Returns or sets the show end gaps lock

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe double NXOpen.Drawings.CustomViewSettingsBuilder.ShowSmoothEdgeEndGapsValue
getset

Returns or sets the show end gaps value

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.CustomViewSettingsBuilder.ShowSmoothEdges
getset

Returns or sets the show smooth edges

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.CustomViewSettingsBuilder.ShowTraceLines
getset

Returns or sets the show trace lines

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.CustomViewSettingsBuilder.ShowUVGrids
getset

Returns or sets the show uvgrids

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.CustomViewSettingsBuilder.ShowVIEndGapsLock
getset

Returns or sets the show end gaps lock

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe double NXOpen.Drawings.CustomViewSettingsBuilder.ShowVIEndGapsValue
getset

Returns or sets the show end gaps value

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.CustomViewSettingsBuilder.ShowVirtualIntersections
getset

Returns or sets the show virtual intersections

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.Drawings.CustomViewSettingsBuilder.Features NXOpen.Drawings.CustomViewSettingsBuilder.SmallFeatures
getset

Returns or sets the small features

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.NXColor NXOpen.Drawings.CustomViewSettingsBuilder.SmoothEdgeColor
getset

Returns or sets the smooth edge color pick

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.Drawings.CustomViewSettingsBuilder.Font NXOpen.Drawings.CustomViewSettingsBuilder.SmoothEdgeFont
getset

Returns or sets the smooth edge line font

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.Drawings.CustomViewSettingsBuilder.Width NXOpen.Drawings.CustomViewSettingsBuilder.SmoothEdgeWidth
getset

Returns or sets the smooth edges line hidden font

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.Drawings.CustomViewSettingsBuilder.ThreadStandards NXOpen.Drawings.CustomViewSettingsBuilder.ThreadStandard
getset

Returns or sets the thread standard

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.CustomViewSettingsBuilder.TraceLineCreateGapsLock
getset

Returns or sets the trace line create gaps lock

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe double NXOpen.Drawings.CustomViewSettingsBuilder.TraceLineCreateGapsValue
getset

Returns or sets the trace line create gaps value

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.NXColor NXOpen.Drawings.CustomViewSettingsBuilder.TraceLineHiddenColor
getset

Returns or sets the trace line hidden color

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.Drawings.CustomViewSettingsBuilder.Font NXOpen.Drawings.CustomViewSettingsBuilder.TraceLineHiddenFont
getset

Returns or sets the trace line hidden font

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.Drawings.CustomViewSettingsBuilder.Width NXOpen.Drawings.CustomViewSettingsBuilder.TraceLineHiddenWidth
getset

Returns or sets the trace line hidden Width

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.NXColor NXOpen.Drawings.CustomViewSettingsBuilder.TraceLineVisibleColor
getset

Returns or sets the trace line visible color

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.Drawings.CustomViewSettingsBuilder.Font NXOpen.Drawings.CustomViewSettingsBuilder.TraceLineVisibleFont
getset

Returns or sets the trace line visible font

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.Drawings.CustomViewSettingsBuilder.Width NXOpen.Drawings.CustomViewSettingsBuilder.TraceLineVisibleWidth
getset

Returns or sets the trace line visible font

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.NXColor NXOpen.Drawings.CustomViewSettingsBuilder.VirtualInterSectionColor
getset

Returns or sets the virtual inter section color

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.Drawings.CustomViewSettingsBuilder.Font NXOpen.Drawings.CustomViewSettingsBuilder.VirtualInterSectionFont
getset

Returns or sets the virtual inter section font

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.Drawings.CustomViewSettingsBuilder.Width NXOpen.Drawings.CustomViewSettingsBuilder.VirtualInterSectionWidth
getset

Returns or sets the virtual inter section width

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.